/* =========== main.css =============== */
/* tailwind */
@tailwind base;
@tailwind components;
@tailwind utilities;

/* custom css for date picker */
/* styling the custom input for date picker and custom date picker */
.react-datepicker,
.react-datepicker--time-only {
  @apply !font-sans !text-labels border !border-gray-normal !rounded-xl;
}
.react-datepicker--time-only {
  @apply px-5 py-4;
}
.react-datepicker__triangle {
  @apply hidden;
}
.react-datepicker__day {
  @apply !flex justify-center items-center h-10 !w-10 rounded-xl border border-gray-normal text-black font-medium;
}
.react-datepicker__time-list-item {
  @apply !px-5 !py-5 rounded-md font-medium !flex !flex-1 bg-gray-light !my-2 justify-center items-center;
}
.react-datepicker__time-list-item--selected {
  @apply !bg-black !text-white !rounded-lg;
}
.react-datepicker__day:hover {
  @apply !bg-gray-light;
}
.react-datepicker__week {
  @apply !flex flex-row my-1 gap-1;
}
.react-datepicker__day--keyboard-selected,
.react-datepicker__day--selected {
  @apply !bg-black !text-white !rounded-xl;
}
.react-datepicker__month {
  @apply !m-3;
}
.react-datepicker__day-name {
  @apply !text-gray-darker font-medium;
}
.react-datepicker__day-names {
  @apply flex gap-6 !mt-7 mx-2;
}
.react-datepicker__header {
  @apply !bg-white !p-3;
}
.react-datepicker__input-container {
  @apply flex w-full;
}
